Deactivate a receive ruleset

​

Deactivation is one-way, idempotent, and the only mutation a ruleset accepts. To change configuration, deactivate the ruleset and create a new one.

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/api/v1/rulesets/{id}/deactivate
curl https://api.bettermoney.com/api/v1/rulesets/123e4567-e89b-12d3-a456-426614174000/deactivate \
  --request POST
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "accountId": "123e4567-e89b-12d3-a456-426614174000",
  "senderUserId": null,
  "name": null,
  "status": "ACTIVE",
  "deliveredAsset": "string",
  "deliveredChain": "string",
  "toAddress": "string",
  "mode": "NETTED",
  "forceInstant": false,
  "metadata": {
    "additionalProperty": "anything"
  },
  "addresses": [
    {
      "chain": "string",
      "failureReason": "string",
      "status": "PENDING",
      "address": null
    }
  ],
  "createdAt": "2026-10-05T14:25:44.295Z"
}